<script lang="ts">
	export let contactEmail: string = "";
	export let username: string = "";
	export let domainPreview: string;
	let usernamePreview = "user";

	$: if (username.trim() !== "") {
		usernamePreview = username;
	};
</script>

<div class="row">
	<div class="col-md-6 mb-2">
		<label for="contact-email" class="mb-2">Email</label>
		<input id="contact-email" class="form-control mb-2" type="email" bind:value={contactEmail} required={true} />
		<div>
			<p class="mb-0">Your email address will be used:</p>
			<ul>
				<li>as a <a target="_blank" rel="noreferrer" href="https://letsencrypt.org/">Let’s Encrypt</a> contact when obtaining SSL certificates for your domain</li>
				<li>for us to reach you with information about your order</li>
				<li>for service outage <a target="_blank" href="/help/extras/scheduler/#alert">alerts</a> sent by our monitoring system</li>
				<li>
					as a <a target="_blank" rel="noreferrer" href="https://github.com/matrix-org/matrix-spec-proposals/pull/1929">Matrix MSC1929</a> contact
				</li>
			</ul>
		</div>
	</div>
	<div class="col-md-6 mb-2">
		<label for="contact-username" class="mb-2">Username</label>
		<input id="contact-username" class="form-control mb-2" type="text" bind:value={username} placeholder="Example: linus.torvalds" />
		<div>
			<p>We'll prepare your first Matrix user account: <code>@{usernamePreview}:{domainPreview}</code></p>
			<p>You'll be able to create additional users via <a target="_blank" rel="noreferrer" href="https://etke.cc/help/extras/synapse-admin">synapse-admin</a>.</p>
		</div>
	</div>
</div>
